CSF_PARSER(1)

NAME
csf_parser - Parse signed images or CSF binary files for NXP secure boot

SYNOPSIS
csf_parser [-d] (-s signed_image | -c csf_binary)

DESCRIPTION
csf_parser is a utility to parse signed images or binary Command Sequence Files (CSF) used in the secure boot process on NXP i.MX processors. It extracts and displays information from either a signed boot image or a CSF binary file.

Only one input type (signed image or CSF binary) can be processed at a time.

OPTIONS

-d, --enable-debug
    Enable debug information output.

-s, --signed-image file
    A signed image file as input for parsing.

-c, --csf-binary file
    A CSF binary file as input for parsing.

EXAMPLES

Parse a signed image with debug enabled:
      csf_parser -d -s signed_image.bin

Parse a CSF binary file:
      csf_parser -c csf_binary.bin

SEE ALSO
cst(1), srktool(1)